#include "SND.h"

#include "sndevent.h"
#include "sndres.h"
#include "sndplay.h"

#include "sndmpeg.h"
#include "sndmidi.h"
#include "sndxd.h"
#include "sndxdapm.h"

#include "sndld_bn.h"



tdstSndBankDescriptorList SND_g_dBankDescriptionList;

int SND_CALL SND_fn_iGetNumberOfBanks(void)
{
	return 0;
}

int SND_CALL SND_fn_iGetNumberOfEventInBank(int bank)
{
	return 0;
}

SndBool SND_CALL SND_fn_bStartLoadBanks(void)
{
	return FALSE;
}

SndBool SND_CALL SND_fn_bStartLoadBanks2(int level)
{
	return FALSE;
}

SndBool SND_CALL SND_fn_bInitBank(int _iBankNum)
{
	return FALSE;
}

SndBool SND_CALL SND_fn_bInitBank2(int _iBankNum,int level)
{
	return FALSE;
}

SndBool SND_CALL SND_fn_bEndLoadBanks(void)
{
	return FALSE;
}

SND_tdstBlockEvent* SND_CALL SND_fn_pGetBinEvent(unsigned long _ulBinId)
{
	return NULL;
}

tdstBlockResourceMem* SND_CALL SND_fn_pGetBinRes(unsigned long _ulBinId)
{
	return NULL;
}

SndBool SND_CALL SND_fn_bLoadBinaryBank(int _iBankNum)
{
	return FALSE;
}

SndBool SND_CALL SND_fn_bUnLoadBinaryBank(int _iBankNum)
{
	return FALSE;
}

void SND_CALL SND_fn_vInitBankSnd(char *czPathName)
{
}

void SND_CALL SND_fn_vDesInitBankSnd(void)
{
}

SndBool SND_fn_bInitDataLoadSnd(const char *_szFileTitle)
{
	return FALSE;
}

#ifndef NO_ACP_LDBIN
unsigned long SND_fn_ulGetEventGroupCount(void)
{
	return 0;
}

EvtGrpDesc *SND_fn_pstGetEventGroupData(void)
{
	return NULL;
}

void SND_fn_vSetEventGroupData(EvtGrpDesc *_pData)
{
}

void SND_fn_vSetEventGroupCount(unsigned long _ulCount)
{
}

#endif //NO_ACP_LDBIN

const char *SND_fn_pszGetSoundEventSectionNameFromPointer(SND_tdstBlockEvent* _pEvent)
{
	return NULL;
}

unsigned long SND_fn_ulGetEventBinIdFromPointer(SND_tdstBlockEvent *_pEvent)
{
	return 0;
}

SND_tdxHandleToSoundEvent SND_fn_hGetSoundEventHandleFromEditorId(unsigned long _ulEvtId)
{
	return NULL;
}

unsigned long SND_fn_ulGetEventBinIdFromSectionName(const char *szSectioName)
{
	return 0;
}

